<?php

	defined('_JEXEC') or die('Restricted access');

	

	require_once(JApplicationHelper::getPath('admin_html'));

	$option = JRequest::getVar('option','REQUEST','');

	

	switch(JRequest::getCmd('task')){

		case 'setting' :

			showConfig( $option );

    		break;

		case 'saveconfig' :

			saveConfig();

			break;

		case 'language' :

			showConfigLanguage();

			break;

		case 'editlanguage' :

			editLanguage($option);

			break;

		case 'remove':

			removeLanguage($option);

			break;

		case 'savelanguage' :

			saveLanguage();

			break;

		case "addlanguage":

			newLanguage();

			break;

		case 'cancel' :

		case 'cancelsetting' :

			redirecHome();

			break;

		case 'readme' :

			showReadme();

			break;

		default:

			showConfig( $option );

			break;

	}

	

	

	function showConfig( $option ){

		global $option;

		HTML_wdsubmit::showConfig($option);

	}

	

	function saveConfig($option){

		global $mainframe,$option;

		$configfile = JPATH_COMPONENT.DS.'settings.php';

		@chmod($configfile,0666);

		if( !is_writable($configfile) ){

			$msg = "Config file not writeable";

			$mainframe->redirect('index.php?option='.$option,$msg);

			break;

		}

		$config  = "<?php\n";

	  $config .= '$H_enabled = '        . JRequest::getVar('enable','POST','') . ";\n";

	  $config .= '$H_enable_resize = '  . JRequest::getVar('enableResize','POST','') . ";\n";

	  $config .= '$H_rules = '          . JRequest::getVar('rules','POST','') . ";\n";

	  $config .= '$H_allowable_upload_images=' . JRequest::getVar('enableUpload','POST','') . ";\n";

	  $config .= '$H_allowable_images="'. JRequest::getVar('allowable_images','POST','') .'"'.";\n";
	  
	  $config .= '$H_is_fp ='. JRequest::getVar('frontpage','POST','') .";\n";
	  
	  $config .= '$H_show_email ='. JRequest::getVar('show_email','POST','') .";\n";
	  
	  $config .= '$H_show_fulltext ='. JRequest::getVar('show_fulltext','POST','') .";\n";
	  
	   $config .= '$show_name ='. JRequest::getVar('show_name','POST','').";\n";

	  $config .= '$H_notify_email = "'  . JRequest::getVar('notify_email','POST','') . "\";\n";

	  //Fixed save config error with CZwidth & Czheight

	  $config .= '$H_width = "'        . JRequest::getVar('iwidth','POST','') . "\";\n";

	  $config .= '$H_height = "'       . JRequest::getVar('iheight','POST','') . "\";\n";

	  //Added img maxsize config

	  $config .= '$H_maxsize = "'      . JRequest::getVar('isize','POST','') . "\";\n";

	  //Added Security Images

	  $config .= '$H_securityimage = "'. JRequest::getVar('securityimage','POST','') . "\";\n";

	  //language

	  $config .= '$H_language ="'	   . JRequest::getVar('filelanguage','POST','') ."\";\n";

	  //Added available categories

	  $config .= '$H_avaiCategories ="'  . implode(",",JRequest::getVar('listcatid','POST','') )."\";\n";

	  

	  if ( in_array( "none",JRequest::getVar('listusertypes','POST','') ) ){

  	  	$config .= '$H_auto_approve_groups ="";'."\n";

	  }else{

		  $config .= '$H_auto_approve_groups ="'  . implode( ",",JRequest::getVar('listusertypes','POST','') )."\";\n";

	  }														  

	

	   if (in_array( "none",JRequest::getVar('listautocat','POST','') )){

			$config .= '$H_auto_approve_categories ="";'."\n";

	   }else

	   {

			$config .= '$H_auto_approve_categories ="'  . implode( ",",JRequest::getVar('listautocat','POST','') )."\";\n";

	   }

  

  	   $config .= "?>";

		

	   if( $fp = fopen( $configfile,'w' ) ){

	   		fputs( $fp, $config, strlen($config) );

			fclose($fp);

	   }

	   $mainframe->redirect('index.php?option='.$option, 'Configuration saved');

	}

	

// function configuration language

function showConfigLanguage(){

	HTML_wdsubmit::showConfigLanguage();

}



function editLanguage($option){

	HTML_wdsubmit::editLanguage($option);

}



function removeLanguage($option){

	global $mainframe,$option;

	$langfolder = JPATH_ROOT.DS.'components'.DS.'com_wdsubmit'.DS.'language'.DS;

	$file = $_REQUEST['cid'];



	if(count($file) == 0){

		$mainframe->redirect('index.php?option=com_wdsubmit&task=language','no file selected');

	}else{

		foreach($file as $filename){

			$file = $langfolder.$filename;

			if( file_exists($file) ){

				unlink($file);

			}

		}

		

		$mainframe->redirect('index.php?option=com_wdsubmit&task=language','Cuccessfully Removed');

	}

	

}



function saveLanguage(){

	global $mainframe;

	

	$langfolder = JPATH_ROOT.DS.'components'.DS.'com_wdsubmit'.DS.'language'.DS;

	$filename=$_REQUEST['filename'];

	$filecontent=$_REQUEST['filecontent'];

	$filename=substr($filename,count($filename)-5,4)==".php"?$filename:$filename.".php";

	$file=$langfolder.$filename;

	if(!file_exists($file)) touch($file);

	if ($fp = fopen( $file, "w")) {

	  fputs($fp,stripslashes($filecontent));

	  fclose($fp);

	}

	

	$mainframe->redirect( "index2.php?option=com_wdsubmit&task=language", "Language file saved" );

}



function newLanguage(){

	global $mainframe;

	HTML_wdsubmit::newLanguage();

}

function redirecHome(){

	global $mainframe;

	$mainframe->redirect('index2.php?option=com_wdsubmit');

}

function showReadme(){

	require_once(JPATH_COMPONENT.DS.'readme.html');

}

?>